using System;

internal sealed class Delegate830 : MulticastDelegate
{
	public extern ulong Invoke(ref UIntPtr uintptr_0);

	public static ulong smethod_0(ref UIntPtr uintptr_0, Delegate830 delegate830_1)
	{
		return delegate830_1(ref uintptr_0);
	}

	public extern Delegate830(object object_0, IntPtr intptr_0);

	static Delegate830()
	{
		Class10.smethod_13(typeof(Delegate830).TypeHandle);
	}

	internal static Delegate830 delegate830_0;
}
